import React from 'react';
import { CustomFieldsPanel } from './CustomFieldsPanel';
import { useToolbarCollectionContext } from '../ToolbarCollectionContext';

export function CustomFieldsCollectionPanelEntry() {
  const toolbar = useToolbarCollectionContext();

  return (
    <CustomFieldsPanel
      state={toolbar.collectionDataExtension!.customFieldsPanel}
    />
  );
}
